@font-face {
	font-family: "JetBrains Mono";
	font-style: normal;
	font-weight: 500;
	src: local("JetBrains Mono"), url("/assets/fonts/JetBrainsMonoMedium.woff")
		format("woff");
	font-display: swap;
}
@font-face {
	font-family: "JetBrains Mono";
	font-style: normal;
	font-weight: 800;
	src: local("JetBrains Mono"), url("/assets/fonts/JetBrainsMonoExtraBold.woff")
		format("woff");
	font-display: swap;
}

/**
 * Colors from https://stephango.com/flexoki
 *
 * black (black): #100F0F
 * black-alt (base-900): #282726
 * white (paper): #FFFCF0
 * white-alt (base-200): #CECDC3
 */

:root {
	--font-family: "JetBrains Mono", monospace;
	--line-height: 1.20rem;
	--border-thickness: 2px;
	--text-color: #100f0f;
	--text-color-alt: #282726;
	--background-color: #fffcf0;
	--background-color-alt: #cecdc3;

	--font-weight-normal: 500;
	--font-weight-bold: 800;

	font-family: var(--font-family);
	font-optical-sizing: auto;
	font-weight: var(--font-weight-normal);
	font-style: normal;
	font-variant-numeric: tabular-nums lining-nums;
	font-size: 16px;
}

@media (prefers-color-scheme: dark) {
	:root {
		--text-color: #e6e4d9;
		--text-color-alt: #cecdc3;
		--background-color: #100f0f;
		--background-color-alt: #282726;
	}
}

* {
	box-sizing: border-box;
}

* + * {
	margin-top: var(--line-height);
}

html {
	display: flex;
	width: 100%;
	margin: 0;
	padding: 0;
	flex-direction: column;
	align-items: center;
	background: var(--background-color);
	color: var(--text-color);
}

body {
	position: relative;
	width: 100%;
	margin: 0;
	padding: var(--line-height) 2ch;
	max-width: calc(min(80ch, round(down, 100%, 1ch)));
	line-height: var(--line-height);
	overflow-x: hidden;
}

@media screen and (max-width: 480px) {
	:root {
		font-size: 14px;
	}

	body {
		padding: var(--line-height) 1ch;
	}
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-weight: var(--font-weight-bold);
	margin: calc(var(--line-height) * 2) 0 var(--line-height);
	line-height: var(--line-height);
}

h1 {
	font-size: 2rem;
	line-height: calc(2 * var(--line-height));
	margin-bottom: calc(var(--line-height) * 2);
	text-transform: uppercase;
}

h2 {
	font-size: 1rem;
	text-transform: uppercase;
}

hr {
	position: relative;
	display: block;
	height: var(--line-height);
	margin: calc(var(--line-height) * 1.5) 0;
	border: none;
	color: var(--text-color-alt);
}

hr:after {
	display: block;
	content: "";
	position: absolute;
	top: calc(var(--line-height) / 2 - var(--border-thickness));
	left: 0;
	width: 100%;
	border-top: calc(var(--border-thickness) * 3) double var(--text-color-alt);
	height: 0;
}

a {
	margin-top: 0;
	text-decoration-thickness: var(--border-thickness);
}

a:hover {
	text-decoration: none;
}

a:link,
a:visited {
	color: var(--text-color);
}

p {
	margin-bottom: var(--line-height);
}

strong {
	font-weight: var(--font-weight-bold);
}

em {
	font-style: italic;
}

p {
	word-break: break-word;
	word-wrap: break-word;
	hyphens: auto;
}

img,
video {
	display: block;
	width: 100%;
	object-fit: contain;
	overflow: hidden;
}

img {
	font-style: italic;
	color: var(--text-color-alt);
}

ul,
ol {
	padding: 0;
	margin: 0 0 var(--line-height);
}

ul {
	list-style-type: square;
	padding: 0 0 0 2ch;
}

ol {
	list-style-type: none;
	counter-reset: item;
	padding: 0;
}

ol ul,
ol ol,
ul ol,
ul ul {
	padding: 0 0 0 3ch;
	margin: 0;
}

ol li:before {
	content: counters(item, ".") ". ";
	counter-increment: item;
}

li {
	margin: 0;
	padding: 0;
}

li::marker {
	line-height: 0;
}

.text-gray {
	color: var(--text-color-alt);
}

.text-right {
	text-align: right;
}

.flex {
	display: flex;
}

.flex-between {
	justify-content: space-between;
}
